---
name: 🐛 Bug Report
about: Bugs, missing documentation, or unexpected behavior 🤔.
labels: "bug \U0001F41E, untriaged \U0001F469‍⚖️"
---

<!--
## Common issues setup guide

We have created a common setup issues guide to help you troubleshoot common setup problems:

https://github.com/atlassian/react-beautiful-dnd/blob/master/docs/guides/common-setup-issues.md

## Check your console

In development builds we log warnings to the console for common setup issues. Please have a look to see if it can give you information in overcoming your issue

## Are you new to rbd?
If you are new to `react-beautiful-dnd` we recommend taking at look at our getting started course: https://egghead.io/courses/beautiful-and-accessible-drag-and-drop-with-react-beautiful-dnd

It will give you a good base understanding of how everything fits together. This can often be the best help in overcoming your issue.

## Duplicates

Before raising a feature request or bug please search through our open and closed issues to see if there is something similar. If you do find one similar you can show it is important to you by adding a reaction (such as 👍) to the issue

Open and closed issues:
https://github.com/atlassian/react-beautiful-dnd/issues?utf8=%E2%9C%93&q=is%3Aopen%20is%3Aclosed%20is%3Aissue%20
-->

### Expected behavior

### Actual behavior

### Steps to reproduce

### Suggested solution?

<!--
  Do you have any ideas on how we could fix this?
  It is okay if you have no idea!
-->

### What version of `React` are you using?

<!--
  Take a look at your package.json
  Ensure that it satisfies our peer dependency version - see our package.json. (Currently it is "^16.8.0")
-->

### What version of `react-beautiful-dnd` are you running?

<!--
  We will only look into issues that are effecting the latest version. At this stage we are not releasing fixes for previous releases
-->

### What browser are you using?

<!--
Keep in mind our supported browser matrix https://confluence.atlassian.com/cloud/supported-browsers-744721663.html
If you raise a bug that is not in a supported version we will not be fixing it
-->

### Demo

<!--
Please provide an example to show the issue. Here is a boilerplate to help you get started:
https://codesandbox.io/s/k260nyxq9v

If you paste a big block of code it can be difficult to debug it.

If it is a visual bug, a video or a gif would be helpful also.

Issues without demo's may not be investigated
-->

<!--
## Note: stale issues will be removed

When a maintainer asks a question about an issue and it is not responded to within a reasonable time frame then the issue will be closed. We don't want this to happen - but we also do not want to accumulate stale issues
--->
